<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpButton: GIMP Widgets Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Widgets Library Reference Manual">
<link rel="up" href="libgimpwidgets-widgets.html" title="Part I. GIMP Widgets">
<link rel="prev" href="GimpBrowser.html" title="GimpBrowser">
<link rel="next" href="GimpChainButton.html" title="GimpChainButton">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpButton.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpButton.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpButton.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_signals">  <span class="dim">|</span> 
                  <a href="#GimpButton.signals" class="shortcut">Signals</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpwidgets-widgets.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpBrowser.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="GimpChainButton.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpButton"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpButton.top_of_page"></a>GimpButton</span></h2>
<p>GimpButton — A <a href="../gtk2/GtkButton.html#GtkButton-struct"><span class="type">GtkButton</span></a> with a little extra functionality.</p>
</td>
<td class="gallery_image" valign="top" align="right"><img src="gimp-widget-button.png"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpButton.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpButton.html#gimp-button-new" title="gimp_button_new ()">gimp_button_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpButton.html#gimp-button-extended-clicked" title="gimp_button_extended_clicked ()">gimp_button_extended_clicked</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpButton.signals"></a><h2>Signals</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="signals_return">
<col width="300px" class="signals_name">
<col width="200px" class="signals_flags">
</colgroup>
<tbody><tr>
<td class="signal_type"><span class="returnvalue">void</span></td>
<td class="signal_name"><a class="link" href="GimpButton.html#GimpButton-extended-clicked" title="The “extended-clicked” signal">extended-clicked</a></td>
<td class="signal_flags"><a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpButton.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpButton.html#GimpButton-struct" title="GimpButton">GimpButton</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpButton.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkContainer.html#GtkContainer-struct">GtkContainer</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkBin.html#GtkBin-struct">GtkBin</a>
                        <span class="lineart">╰──</span> <a href="../gtk2/GtkButton.html#GtkButton-struct">GtkButton</a>
                            <span class="lineart">╰──</span> GimpButton
                                <span class="lineart">╰──</span> <a class="link" href="GimpColorButton.html" title="GimpColorButton">GimpColorButton</a>
</pre>
</div>
<div class="refsect1">
<a name="GimpButton.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpButton implements
 AtkImplementor,  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a> and  <a href="../gtk2/GtkActivatable.html#GtkActivatable-struct">GtkActivatable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpButton.description"></a><h2>Description</h2>
<p><a class="link" href="GimpButton.html" title="GimpButton"><span class="type">GimpButton</span></a> adds an extra signal to the <a href="../gtk2/GtkButton.html#GtkButton-struct"><span class="type">GtkButton</span></a> widget that
allows the callback to distinguish a normal click from a click that
was performed with modifier keys pressed.</p>
</div>
<div class="refsect1">
<a name="GimpButton.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-button-new"></a><h3>gimp_button_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_button_new (<em class="parameter"><code><span class="type">void</span></code></em>);</pre>
<p>Creates a new <a class="link" href="GimpButton.html" title="GimpButton"><span class="type">GimpButton</span></a> widget.</p>
<div class="refsect3">
<a name="gimp-button-new.returns"></a><h4>Returns</h4>
<p> A pointer to the new <a class="link" href="GimpButton.html" title="GimpButton"><span class="type">GimpButton</span></a> widget.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-button-extended-clicked"></a><h3>gimp_button_extended_clicked ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_button_extended_clicked (<em class="parameter"><code><a class="link" href="GimpButton.html" title="GimpButton"><span class="type">GimpButton</span></a> *button</code></em>,
                              <em class="parameter"><code><a href="../gdk2/gdk2-Windows.html#GdkModifierType"><span class="type">GdkModifierType</span></a> state</code></em>);</pre>
<p>Emits the button's "extended_clicked" signal.</p>
<div class="refsect3">
<a name="gimp-button-extended-clicked.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>button</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpButton.html" title="GimpButton"><span class="type">GimpButton</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>state</p></td>
<td class="parameter_description"><p>a state as found in <a href="../gdk2/gdk2-Event-Structures.html#GdkEventButton"><span class="type">GdkEventButton</span></a>-&gt;state, e.g. <a href="../gdk2/gdk2-Windows.html#GDK-SHIFT-MASK:CAPS"><span class="type">GDK_SHIFT_MASK</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
</div>
<div class="refsect1">
<a name="GimpButton.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpButton-struct"></a><h3>GimpButton</h3>
<pre class="programlisting">typedef struct _GimpButton GimpButton;</pre>
</div>
</div>
<div class="refsect1">
<a name="GimpButton.signal-details"></a><h2>Signal Details</h2>
<div class="refsect2">
<a name="GimpButton-extended-clicked"></a><h3>The <code class="literal">“extended-clicked”</code> signal</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
user_function (<a class="link" href="GimpButton.html" title="GimpButton"><span class="type">GimpButton</span></a>     *gimpbutton,
               <a href="../gdk2/gdk2-Windows.html#GdkModifierType"><span class="type">GdkModifierType</span></a> arg1,
               <a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>        user_data)</pre>
<p>This signal is emitted when the button is clicked with a modifier
key pressed.</p>
<div class="refsect3">
<a name="GimpButton-extended-clicked.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>gimpbutton</p></td>
<td class="parameter_description"><p>the object that received the signal.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>arg1</p></td>
<td class="parameter_description"><p>the state of modifier keys when the button was clicked</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>user_data</p></td>
<td class="parameter_description"><p>user data set when the signal handler was connected.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p>Flags: <a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></p>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>